#pragma once

#include <glm/glm.hpp>
#include <vector>
#include <cstdint>
#include <iostream>

namespace kek {

class MemoryBuffer: public std::streambuf {

public:
	char *buffer;
	size_t length;

	MemoryBuffer(char *buffer, size_t length) {
		this->buffer = buffer;
		this->length = length;
		this->setg(buffer, buffer, buffer + length);
	}

	~MemoryBuffer() {
		free(buffer);
	}

};

}
